std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >:
[legend]

## Public Types

typedef std::ptrdiff_t | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef const _Value * | pointer
typedef const _Value & | reference
typedef _Value | value_type

## Public Member Functions

| _Node_const_iterator (__node_type *__p)
| _Node_const_iterator (const _Node_iterator< _Value, __constant_iterators, __cache > &__x)
void | _M_incr ()
reference | operator* () const
_Node_const_iterator & | operator++ ()
_Node_const_iterator | operator++ (int)
pointer | operator-> () const

## Public Attributes

__node_type * | _M_cur

## Detailed Description

### template<typename _Value, bool __constant_iterators, bool __cache>
struct std::__detail::_Node_const_iterator< _Value, __constant_iterators, __cache >

Node const_iterators, used to iterate through all the hashtable.

Definition at line 382 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h